<?php

namespace App\Entities\LojaCompra;

use App\Utils\Builder;
use Exception;

class LojaCompraBuilder implements Builder {
	protected $id;
	protected $id_loja;
	protected $valor;
	protected $tipo_compra_loja;
	protected $id_usuario;
	protected $data_requisicao;
	protected $hora_requisicao;
	protected $id_status;
	protected $data_alteracao;
	protected $hora_alteracao;

	public function build(): LojaCompra {

		$pessoa = new LojaCompra();

		return $pessoa;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id): LojaCompraBuilder {

		$this->id = $id;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_loja
	 */
	public function setIdLoja($id_loja): LojaCompraBuilder {

		$this->id_loja = $id_loja;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_loja_produto
	 */
	public function setValor($valor): LojaCompraBuilder {

		$this->valor = $valor;
		return $this;

	}

	/**
	 *
	 * @param mixed $tipo_compra_loja
	 */
	public function setTipoCompraLoja($tipo_compra_loja): LojaCompraBuilder {

		$this->tipo_compra_loja = $tipo_compra_loja;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_usuario
	 */
	public function setIdUsuario($id_usuario): LojaCompraBuilder {

		$this->id_usuario = $id_usuario;
		return $this;

	}

	/**
	 *
	 * @param mixed $data_requisicao
	 */
	public function setDataRequisicao($data_requisicao): LojaCompraBuilder {

		$this->data_requisicao = $data_requisicao;
		return $this;

	}

	/**
	 *
	 * @param mixed $hora_requisicao
	 */
	public function setHoraRequisicao($hora_requisicao): LojaCompraBuilder {

		$this->hora_requisicao = $hora_requisicao;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_status
	 */
	public function setIdStatus($id_status): LojaCompraBuilder {

		$this->id_status = $id_status;
		return $this;

	}

	/**
	 *
	 * @param mixed $data_alteracao
	 */
	public function setDatAlteracao($data_alteracao): LojaCompraBuilder {

		$this->data_alteracao = $data_alteracao;
		return $this;

	}

	/**
	 *
	 * @param mixed $hora_alteracao
	 */
	public function setHoraAlteracao($hora_alteracao): LojaCompraBuilder {

		$this->hora_alteracao = $hora_alteracao;
		return $this;

	}

}
